<?php
/*
 * Jaunas aptaujas pievienošana
 *
 * (c) 2012, Maadinsh - http://code.exs.lv/
 *
 * Šim failam NAV jābūt publiski pieejamam
 *
 * Ja tev jau ir izveidota lietotāju ielogošanās sistēma, izmantot to,
 * lai ļautu piekļūt tikai lietotājiem, kuriem atļauts izveidot aptaujas.
 * Ja nav, vari ļaut piekļūt tikai no savas IP adreses, ieliekot sākumā ko šādu:
 *
 * if($_SERVER['REMOTE_ADDR'] != '123.123.TAVA.IP') {
 * 	die('Pieeja liegta!');
 * }
 *
 */

require_once('class.mdb.php');
require_once('poll-config.php');

//izveido savienojumu ar datubāzi
$db = new mdb($db_user, $db_pswd, $db_base, $db_host);

if (isset($_POST['new-poll-q']) && isset($_POST['new-poll-a'])) {
	$poll = $db->escape($_POST['new-poll-q']);

	//izveido jaunu aptauju
	$db->query("INSERT INTO `poll` (`id`, `name`, `created`) VALUES (NULL, '$poll', NOW())");
	$poll_id = $db->insert_id;

	//ieraksta datubāzē atbilžu variantus
	foreach ($_POST['new-poll-a'] as $question) {
		if (!empty($question)) {
			$question = $db->escape($question);
			$db->query("INSERT INTO `questions` (`id`, `poll_id`, `question`) VALUES (NULL, '$poll_id', '$question')");
		}
	}

	echo 'Aptauja izveidota!';
} else {
	?>

	<form class="form" action="" method="post">
		<fieldset>
			<p>
				<label for="new-poll-q">Aptaujas jautājums</label><br />
				<input type="text" class="title" name="new-poll-q" id="new-poll-q" />
			</p>
			<p>
				<label for="new-poll-q">1. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">2. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">3. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">4. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">5. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">6. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">7. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<label for="new-poll-q">8. atbilde</label><br />
				<input type="text" class="text" name="new-poll-a[]" id="new-poll-a" />
			</p>
			<p>
				<input class="button" type="submit" value="Nosūtīt" />
			</p>
		</fieldset>
	</form>

	<?php
}
?>