<?php

/*
 * PHP aptauja
 *
 * (c) 2012, Maadinsh - http://code.exs.lv/
 *
 * Izmanto pēc saviem ieskatiem :)
 *
 */

//ja user_identifier ir 0, false, tukšs vai ar tādu jau ir nobalots šajā aptaujā,
//rādam uzreiz rezultātus un balsot neļaujam
//$user_identifier = $_SESSION['user_id']; //aptuveni tā varētu ļaut balot vienu reizi katram reģistrētajam lietotājam
$user_identifier = $_SERVER['REMOTE_ADDR']; //šādi ļaujam balsot vienu reizi no IP adreses

require_once('class.mdb.php');
require_once('poll-config.php');

//izveido savienojumu ar datubāzi
$db = new mdb($db_user, $db_pswd, $db_base, $db_host);

//mēģinājums balsot
if (!empty($user_identifier) && isset($_POST['vote']) && isset($_POST['questions'])) {
	//pārbaudam vai $user_identifier jau nav nobalsijis
	$voted = $db->get_var("SELECT
			count(*)
		FROM
			`responses`,
			`questions`
		WHERE
			`responses`.`question_id` = `questions`.`id` AND
			`responses`.`user_identifier` = '" . $db->escape($user_identifier) . "' AND
			`poll_id` = (SELECT `poll_id` FROM `questions` WHERE `id` = '" . intval($_POST['questions']) . "' LIMIT 1)
		");

	if (!$voted) {
		//pievieno balsojumu
		$db->query("INSERT INTO `responses` (`question_id`, `user_identifier`) VALUES ('" . intval($_POST['questions']) . "', '" . $db->escape($user_identifier) . "')");
	} else {
		$error = 'Tu jau nobalsoji!';
	}
} else if (!isset($_POST['questions']) && isset($_POST['vote'])) {
	$error = 'Jāizvēlas atbilde!';
}
//atrod aktīvo (pēdējo) aptauju
$poll = $db->get_row("SELECT * FROM `poll` ORDER BY `id` DESC LIMIT 1");

//rāda rezultātus, ja nav $user_identifier vai tas jau ir nobalsojis
if (empty($user_identifier) || $db->get_var("SELECT count(*) FROM  `responses`, `questions` WHERE `responses`.`question_id`=`questions`.`id` AND `responses`.`user_identifier`='" . $db->escape($user_identifier) . "' AND `poll_id`='" . $poll->id . "'")) {

	//balsis kopā
	$total = $db->get_var("SELECT count(*) FROM `responses`, `questions` WHERE `responses`.`question_id`=`questions`.`id` AND `poll_id` = '" . $poll->id . "'");

	//atbilžu varianti
	$questions = $db->get_results("SELECT * FROM `questions` WHERE `poll_id` = '" . $poll->id . "' ORDER BY `id`");
	if (!empty($questions)) {

		echo '<div id="poll-results">';
		echo '<h3>' . htmlspecialchars($poll->name) . '</h3>';
		echo '<ol id="poll-answers">';

		foreach ($questions as $question) {

			//atbildes
			$responses = $db->get_var("SELECT count(*) FROM `responses` WHERE `question_id` = '" . $question->id . "'");
			$percents = round(($responses / $total) * 100);

			echo '<li>
					' . htmlspecialchars($question->question) . '
					<div>
						<span>' . $percents . '%</span><div style="width:' . $percents . '%"></div>
					</div>
				</li>';
		}

		echo '</ol>';
		echo '<p id="vote-total">Kopā balsis: ' . $total . '</p>';
		echo '</div>';
	}

//balsošanas forma
} else {

	//atrod atbilžu variantus
	$questions = $db->get_results("SELECT * FROM `questions` WHERE `poll_id` = '" . $poll->id . "' ORDER BY `id`");
	if (!empty($questions)) {

		echo '<form id="poll-vote" method="post" action="">';
		echo '<h3>' . htmlspecialchars($poll->name) . '</h3>';
		if (isset($error)) {
			echo '<h4 id="poll-error">' . $error . '<h4>';
		}
		echo '<ol id="poll-questions">';

		//izdrukā atbilžu variantus
		foreach ($questions as $question) {
			echo '<li>
					<label>
						<input type="radio" name="questions" value="' . $question->id . '" />
						' . htmlspecialchars($question->question) . '
					</label>
				</li>';
		}

		echo '</ol>';
		echo '<input type="submit" name="vote" value="Balsot!" class="button" />';
		echo '</form>';
	}
}
